Package com.evopdf

# Enum TriggeringMode

java.lang.Object
java.lang.Enum<TriggeringMode>
com.evopdf.TriggeringMode

All Implemented Interfaces:
  `Serializable`, `Comparable<TriggeringMode>`, `java.lang.constant.Constable`

public enum TriggeringMode extends Enum<TriggeringMode>
This enumeration represents the possible modes to trigger the conversion of a HTML document

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Auto`
  The conversion will start automatically after the page was loaded in converter.
  `ConversionDelay`
  The converter will delay the conversion after the page was loaded in converter with the amount of time given by the `HtmlToPdfConverter.conversionDelay()` property of the `HtmlToPdfConverter` class
  `Manual`
  The conversion will be triggered manually by a call from JavaScript to evoPdfConverter.startConversion() method available in a HTML document loaded in converter

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static TriggeringMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TriggeringMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Auto

    public static final TriggeringMode Auto
    The conversion will start automatically after the page was loaded in converter. This is the default option

  - ### ConversionDelay

    public static final TriggeringMode ConversionDelay
    The converter will delay the conversion after the page was loaded in converter with the amount of time given by the `HtmlToPdfConverter.conversionDelay()` property of the `HtmlToPdfConverter` class

  - ### Manual

    public static final TriggeringMode Manual
    The conversion will be triggered manually by a call from JavaScript to evoPdfConverter.startConversion() method available in a HTML document loaded in converter

- ## Method Details

  - ### values

    public static TriggeringMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TriggeringMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()